package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.po.app.AppBaseMenu;

import java.util.List;

public interface AppBaseMenuService extends IService<AppBaseMenu> {

    List<AppBaseMenu> queryPermission(String userGroup); // 查询这个用户组 拥有的菜单
    List<AppBaseMenu> queryIndistinct(AppBaseMenu appBaseMenu); // 根据条件模糊查询
    List<AppBaseMenu> query(AppBaseMenu appBaseMenu); // 根据条件查询
    int insert(AppBaseMenu... menus); // 添加菜单
    int delete(String  menuId); // 根据菜单ID删除菜单
    int update(AppBaseMenu appBaseMenu);


}
